<template>

<div class="card" style="background-color: lightgray;">

    <div class="card-header card_header_admin">
        <h5 class="mt-3 ms-2">แก้ไขข้อมูลพนักงาน</h5>
    </div>
    <div class="card-body mt-3" >
        <form @submit.prevent="saveEmployee()" id="form-create-emp" enctype="multipart/form-data">
            <div class="row">
                <div class="col-2">
                    <div class="mb-3">
                        <label for="unit" class="form-label">คำนำหน้า</label>
                        <select class="form-select" aria-label="unit" name="title_name" v-model="title_name" required>
                            <option selected>-- เลือก --</option>
                            <option value="1">นาย</option>
                            <option value="2">นาง</option>
                            <option value="3">นางสาว</option>
                        </select>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-3">
                        <label for="name_th" class="form-label">ชื่อ-สกุล</label>
                        <input type="text" class="form-control" name="name_th" id="name_th" placeholder="" v-model="name_th" required>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-3">
                        <label for="name_en" class="form-label">name-sername</label>
                        <input type="text" class="form-control" name="name_en" id="name_en" placeholder="" v-model="name_en" required>
                    </div>
                </div>
                <div class="col-2">
                    <div class="mb-3">
                        <label for="nick_name" class="form-label">ชื่อเล่น</label>
                        <input type="text" class="form-control" name="nick_name" id="nick_name" placeholder="" v-model="nick_name" required>
                    </div>
                </div>

                <div class="col-3">
                    <div class="mb-3">
                        <label for="code" class="form-label">รหัสพนักงาน</label>
                        <input type="text" class="form-control" name="code" id="code" placeholder="" v-model="code" required>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="email" class="form-label">Email</label>
                        <input type="text" class="form-control" name="email" id="email" placeholder="" v-model="email" required>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="tel" class="form-label">Tel.</label>
                        <input type="text" class="form-control" name="tel" id="tel" placeholder="" v-model="tel" required>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="line" class="form-label">line</label>
                        <input type="text" class="form-control" name="line" id="line" placeholder="" v-model="line" required>
                    </div>
                </div>






                <div class="col-4">
                    <div class="mb-3">
                        <label for="unit" class="form-label">สถานที่ทำงาน</label>
                        <select class="form-select" aria-label="unit" name="type_place" v-model="type_place" required>
                            <option selected>-- เลือก --</option>
                            <option v-for="item in data_dropdown['type_place']" :key="item.id" :value="item.id">
                                {{ item.name }}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-3">
                        <label for="unit" class="form-label">ตำแหน่ง</label>
                        <select class="form-select" aria-label="unit" name="position" v-model="position" required>
                            <option selected>-- เลือก --</option>
                            <option v-for="item in data_dropdown['position_employee']" :key="item.id" :value="item.id">
                                {{ item.name }}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="col-4">
                    <div class="mb-3">
                        <label for="date_work" class="form-label">วันที่เริ่มงาน</label>
                        <input type="date" class="form-control" name="date_work" id="date_work" placeholder="" v-model="date_work" required>
                    </div>
                </div>

                <div class="col-3">
                    <div class="mb-3">
                        <label for="unit" class="form-label">ธนาคาร</label>
                        <select class="form-select" aria-label="unit" name="bank" v-model="bank" required>
                            <option selected>-- เลือก --</option>
                            <option v-for="item in data_dropdown['bank']" :key="item.id" :value="item.id">
                                {{ item.name }}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="name_en" class="form-label">เลขบัญชีธนาคาร</label>
                        <input type="text" class="form-control" name="code_bank" id="code_bank" placeholder="" v-model="code_bank" required>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="code" class="form-label">ค่าแรง-รายวัน</label>
                        <input v-on:keyup="calculateMonth()" type="text" class="form-control" name="daily_wages" id="daily_wages" placeholder="" v-model="daily_wages" required>
                    </div>
                </div>
                <div class="col-3">
                    <div class="mb-3">
                        <label for="price" class="form-label">ค่าแรง-รายเดือน</label>
                        <input v-on:keyup="calculateDay()" type="number" class="form-control" name="monthly_saraly" id="monthly_saraly" placeholder="" v-model="monthly_saraly" required>
                    </div>
                </div>

            </div>

            <div class="row">
                <input type="file" class="dropify" data-allowed-file-extensions="pdf" data-max-file-size="5M"
                data-default-file="http://localhost:8000/storage/private/images/20230309_082903_ป้าย-02-01.jpg"
                data-height="400" id="file" ref="file" v-on:change="handleFileUpload( $event )"/>
            </div>

            <div class="row mt-2">
                <button type="submit" class="btn btn-success">บันทึก</button>
            </div>
        </form>

    </div>
</div>

</template>

<script>
import { title } from 'process';

    export default {
        data() {
            return {
                title_name:null,
                name_th:null,
                name_en:null,
                nick_name:null,
                daily_wages:null,
                monthly_saraly:null,
                code:null,
                email:null,
                tel:null,
                line:null,
                type_place:null,
                position:null,
                date_work:null,
                bank:null,
                code_bank:null,
                file_pdf:null
            }
        },

        props: ['data_dropdown','data_employee'],
        methods: {

            putDataEmployee(){
                this.title_name = this.data_employee[0]['title']
                this.name_th = this.data_employee[0]['full_name_th']
                this.name_en = this.data_employee[0]['full_name_en']
                this.nick_name = this.data_employee[0]['nick_name']
                this.code = this.data_employee[0]['code_id']
                this.type_place = this.data_employee[0]['id_type_place']
                this.position = this.data_employee[0]['id_position']
                this.bank = this.data_employee[0]['id_bank']
                this.email  = this.data_employee[0]['email']
                this.tel  = this.data_employee[0]['tel']
                this.line  = this.data_employee[0]['line']
                this.date_work  = this.data_employee[0]['date_work']
                this.code_bank  = this.data_employee[0]['code_bank']
                this.daily_wages  = this.data_employee[1]['daily_wages']
                this.monthly_saraly  = this.data_employee[1]['monthly_saraly']
            },

            calculateMonth(){
                this.monthly_saraly = (this.daily_wages * 26).toFixed(0);
            },

            calculateDay(){
                this.daily_wages = (this.monthly_saraly / 26).toFixed(0);
            },

            runFuntion(){
                this.globalAddToken();
            },

            handleFileUpload(event){
                this.file_pdf = event.target.files[0];
            },

            saveEmployee(){
                let form_add = document.getElementById('form-create-emp');
                let formData = new FormData(form_add);
                formData.append('file', this.file_pdf);


                // formData.append('type_product', this.type_product);
                // formData.append('name_th', this.name_th);
                // formData.append('name_en', this.name_en);
                // formData.append('type_unit', this.type_unit);
                // formData.append('type_brand', this.type_brand);
                // formData.append('code', this.code);
                // formData.append('price', this.price);
                // formData.append('amount', this.amount);
                // formData.append('discription', this.discription);
                // formData.append('status', this.status);

                axios.post( '../../api/employee/save',
                formData,
                {
                    headers: {
                        'Content-Type': 'multipart/form-data',
                    }
                }
                )
                .then(response =>{
                    Swal.fire(
                        'บันทึกข้อมูลสำเร็จ!',
                        '',
                        'success'
                    )
                    window.location.href = '/hr/employee/list'
                    // this.$router.go(-1);
                }).catch(err =>{
                    Swal.fire(
                        'บันทึกไม่สำเร็จ!',
                        'กรุณาลองอีกครั้ง',
                        'error'
                    )
                })
            },
        },
        mounted() {
            this.runFuntion();
            this.putDataEmployee();
        },
        created(){
            $(document).ready(function () {
                $('.select-single').select2();
                $('.dropify').dropify();
                $('#file').attr("data-default-file", 'http://localhost:8000/storage/private/images/20230309_082903_ป้าย-02-01.jpg');
            });
        }
    }
</script>

<style>

</style>
